import { webpack } from 'next/dist/compiled/webpack/webpack';
import { Span } from '../../../trace';
export declare class TraceEntryPointsPlugin implements webpack.Plugin {
    private appDir;
    private entryTraces;
    private excludeFiles;
    constructor({ appDir, excludeFiles, }: {
        appDir: string;
        excludeFiles?: string[];
    });
    createTraceAssets(compilation: any, assets: any, span: Span): void;
    tapfinishModules(compilation: webpack.compilation.Compilation, traceEntrypointsPluginSpan: Span): void;
    apply(compiler: webpack.Compiler): void;
}
